HomeGuidesAPI Reference
GuidesAPI ReferenceGitHubAirheads Developer CommunityLog In
API Reference

List Unified Clients (Wired/Wireless). Option to choose Connected/Failed Clients

This is a unified form of List APIs /monitoring/v1/clients/wired and /monitoring/v1/clients/wireless and it is backward compatible with these v1 apis.

Get a list of unified clients. You can only specify one of group, swarm_id, cluster_id, network, site and
label parameters.
Possible error_codes for the error responses are

  1. 0001 - General Error.
  2. 0002 - Validation Error. Out of Range value for a query parameter.
  3. 0003 - Validation Error. Unsupported query combination
  4. 0004 - Validation Error. Invalid value for a query parameter
Query Params
string

Filter by group name

string

Filter by Swarm ID. Field supported for AP clients only

string

Filter by Label name

string

Filter by Site name

string

Filter by network name. Field supported for wireless clients only

string

Filter by device serial number

string

Filter by Mobility Controller serial number

string

Filter by band. Value can be either "2.4", "5" or "6". Field supported for wireless clients only.

string

Filter by Switch stack_id. Only for Wired Clients

string

Filter by OS Type

string

Comma separated list of fields to be returned.
Valid fields for wired clients are name, ip_address, username, associated_device, group_name, interface_mac, vlan.
Valid field values for wireless clients are name, ip_address, username, os_type, connection, associated_device, group_name, swarm_id, network, radio_mac, manufacturer, vlan, encryption_method, radio_number, speed, usage, health, labels, site, signal_strength, signal_db, snr.

boolean

Whether to calculate total Wireless/Wired Clients

int32

Pagination offset

int32

Pagination limit. Default is 100 and max is 1000

string

Sort parameter may be one of +macaddr, -macaddr. Default is '+macaddr'

string

Input the last processed client mac that got received in your last response. Please note that when last_client_mac is inputted , offset will not make any sense and by default the results are sorted by macaddr.

string
enum
required
Defaults to 3H

Time range for unified clients information.
3H = 3 Hours, 1D = 1 Day, 1W = 1 Week, 1M = 1Month, 3M = 3Months.

Allowed:
string
enum
required
Defaults to WIRELESS

WIRED = List Wired Clients, WIRELESS = List Wireless Clients.

Allowed:
string
enum
required
Defaults to CONNECTED

CONNECTED = List Connected Clients, FAILED_TO_CONNECT = List Failed Clients.
Failed to connect status not supported for wired clients.

Allowed:
boolean

Whether to show usage

boolean

Whether to show manufacturer

boolean

Whether to show signal_db and signal_strength. Field supported for wireless clients only

Responses

401

Unauthorized access

403

Forbidden

413

Request-size limit exceeded

417

Request-size limit exceeded

429

API Rate limit exceeded

Language
Credentials
Bearer
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json